Search API schemas Item One content item returned by the Search API. Name Description Schema information_field required Optional metadata field configured per customer. string item_id required Identifier of the item in your catalog. string type required Document type of the returned object. string SearchRequest Specification of a search request body. Name Description Schema autocorrect optional Whether the query should be autocorrected (default: true). boolean filter_by optional Filters that limit which items can appear. Filter group_by optional Fields used to split results into multiple lists (default: []). < string > array limit optional Number of items returned per list (default: 4). integer list_size optional Number of items cached per list for later retrieval (default: 100). integer num_lists optional Number of lists requested (default: 4). integer q required The search query typed by the user. string page_type required Page or surface for which the request is made. string channel optional Channel identifier (e.g., web, iOS, Android). string user_id optional Logged-in user identifier. string device_id required Identifier for anonymous users or devices. string histories optional Behavioral histories that improve personalization. Histories SearchResults Response returned by the search endpoints. Name Description Schema auto_suggest optional Alternative query if autocorrect was triggered. string lists required Grouped search results. < List > array num_lists required Number of lists that were requested. integer perfect_match optional Exact match for the query, if available. Item request_id required Identifier of the request to log alongside events. string user_group optional Experiment group the user belongs to. string CompletionRequest Body accepted by the advanced completions endpoint. Name Description Schema fuzziness optional Maximum edit distance when matching queries (default: 0). integer filter_by optional Filters applied before generating completions. Filter q optional Partial query string. string user_id optional User identifier. string device_id optional Device identifier. string histories optional Interaction histories used to personalize results. Histories Completion Payload returned by the completions endpoints. Name Description Schema completions required List of suggested terms. < Item > array request_id required Identifier of the completion request. integer user_group optional Experiment group the user belongs to. string